### File

`packages/base/src/lib/eui-models/log/log.appender.ts`

### Description

Abstract Log Appender

### Index

###### Methods
Abstract append getConfig

### Constructor

`constructor(config: CFG, injector: Injector)`
Parameters :
Name | Type | Optional
config | `CFG` | No
injector | `Injector` | No

### Methods

Abstract append
`append(event: LogEvent)`
Logs a Log Event Parameters :
Name | Type | Optional | Description
event | `LogEvent` | No | log event
Returns : `void`

getConfig
`getConfig()`
Gets the config Returns : `CFG` the config

# results matching ""

# No results matching ""